Class | Fog::Compute::RackspaceV2::Server
In: | lib/fog/rackspace/models/compute_v2/server.rb
Parent: | Fog::Compute::Server

### Methods

attachments change_admin_password confirm_resize create destroy flavor image ready? reboot rebuild resize revert_resize save update

### Constants

ACTIVE | = | 'ACTIVE' |  | States
BUILD | = | 'BUILD'
DELETED | = | 'DELETED'
ERROR | = | 'ERROR'
HARD_REBOOT | = | 'HARD_REBOOT'
MIGRATING | = | 'MIGRATING'
PASSWORD | = | 'PASSWORD'
REBOOT | = | 'REBOOT'
REBUILD | = | 'REBUILD'
RESCUE | = | 'RESCUE'
RESIZE | = | 'RESIZE'
REVERT_RESIZE | = | 'REVERT_RESIZE'
SUSPENDED | = | 'SUSPENDED'
UNKNOWN | = | 'UNKNOWN'
VERIFY_RESIZE | = | 'VERIFY_RESIZE'

### Attributes

password | [R] |

### Public Instance methods

attachments()
change_admin_password(password)
confirm_resize()
create()
destroy()
flavor()
image()
ready?()
reboot(type = 'SOFT')
rebuild(image_id)
resize(flavor_id)
revert_resize()
save()
update()

[Validate]